public class DanMachiObjectContainer : ObjectContainer
{
    protected static DanMachiModelViewerMain Main => DanMachiModelViewerMain.Instance;

    protected override void Start()
    {
        if (DoNotSave) return;

        if(Frames.Count == 0)
        {
            SetKeyframe();
        }

        DanMachiModelViewerMain.RegisterObject(this);
        var selector = UITimelineObjectEntry.Create(this);
        InstantiatedObjects.Add(selector.gameObject);

        ModelViewerMain.GetInstance<DanMachiModelViewerMain>().SelectObject(this);
    }

    public override void Select()
    {
    }

    public override void Deselect()
    {
    }

    protected override void OnDestroy()
    {
        if(_applicationQuitting) return;

        if (Main.SelectedObject == this)
        {
            Main.SelectObject(null);
        }

        ModelViewerMain.UnregisterObject(this);

        base.OnDestroy();
    }
}
